Not the answer you need?
Register and ask your own question!

Installing Percona XtraDB Cluster 56 from yum repo on CentOS 6.5 fails

alexandrusalexandrus EntrantCurrent User Role Beginner
Hello,

Tried do install Percona XtraDB Cluster from Percona yum repository using yum install Percona-XtraDB-Cluster-56 command.
It fails with the below output
# yum install Percona-XtraDB-Cluster-56
Loaded plugins: fastestmirror, presto
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: distro.ibiblio.org
 * epel: mirror.symnds.com
 * extras: mirror.netdepot.com
 * updates: mirror.us.leaseweb.net
Resolving Dependencies
--> Running transaction check
---> Package Percona-XtraDB-Cluster-56.x86_64 1:5.6.25-25.12.1.el6 will be installed
--> Processing Dependency: Percona-XtraDB-Cluster-client-56 for package: 1:Percona-XtraDB-Cluster-56-5.6.25-25.12.1.el6.x86_64
--> Processing Dependency: Percona-XtraDB-Cluster-galera-3 for package: 1:Percona-XtraDB-Cluster-56-5.6.25-25.12.1.el6.x86_64
--> Processing Dependency: Percona-XtraDB-Cluster-server-56 for package: 1:Percona-XtraDB-Cluster-56-5.6.25-25.12.1.el6.x86_64
--> Running transaction check
---> Package Percona-XtraDB-Cluster-client-56.x86_64 1:5.6.25-25.12.1.el6 will be installed
--> Processing Dependency: perl-DBI for package: 1:Percona-XtraDB-Cluster-client-56-5.6.25-25.12.1.el6.x86_64
--> Processing Dependency: /usr/bin/perl for package: 1:Percona-XtraDB-Cluster-client-56-5.6.25-25.12.1.el6.x86_64
---> Package Percona-XtraDB-Cluster-galera-3.x86_64 0:3.12-1.rhel6 will be installed
---> Package Percona-XtraDB-Cluster-server-56.x86_64 1:5.6.25-25.12.1.el6 will be installed
--> Processing Dependency: percona-xtrabackup >= 2.2.5 for package: 1:Percona-XtraDB-Cluster-server-56-5.6.25-25.12.1.el6.x86_64
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: 1:Percona-XtraDB-Cluster-server-56-5.6.25-25.12.1.el6.x86_64
--> Processing Dependency: Percona-XtraDB-Cluster-shared-56 for package: 1:Percona-XtraDB-Cluster-server-56-5.6.25-25.12.1.el6.x86_64
--> Processing Dependency: lsof for package: 1:Percona-XtraDB-Cluster-server-56-5.6.25-25.12.1.el6.x86_64
--> Processing Dependency: socat for package: 1:Percona-XtraDB-Cluster-server-56-5.6.25-25.12.1.el6.x86_64
--> Processing Dependency: perl-DBD-MySQL for package: 1:Percona-XtraDB-Cluster-server-56-5.6.25-25.12.1.el6.x86_64
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: 1:Percona-XtraDB-Cluster-server-56-5.6.25-25.12.1.el6.x86_64
--> Processing Dependency: libaio.so.1()(64bit) for package: 1:Percona-XtraDB-Cluster-server-56-5.6.25-25.12.1.el6.x86_64
--> Running transaction check
---> Package Percona-XtraDB-Cluster-shared-56.x86_64 1:5.6.25-25.12.1.el6 will be installed
---> Package libaio.x86_64 0:0.3.107-10.el6 will be installed
---> Package lsof.x86_64 0:4.82-5.el6 will be installed
---> Package percona-xtrabackup.x86_64 0:2.2.12-1.el6 will be installed
--> Processing Dependency: perl(Time::HiRes) for package: percona-xtrabackup-2.2.12-1.el6.x86_64
---> Package perl.x86_64 4:5.10.1-141.el6 will be installed
--> Processing Dependency: perl-libs = 4:5.10.1-141.el6 for package: 4:perl-5.10.1-141.el6.x86_64
--> Processing Dependency: perl-libs for package: 4:perl-5.10.1-141.el6.x86_64
--> Processing Dependency: perl(version) for package: 4:perl-5.10.1-141.el6.x86_64
--> Processing Dependency: perl(Pod::Simple) for package: 4:perl-5.10.1-141.el6.x86_64
--> Processing Dependency: perl(Module::Pluggable) for package: 4:perl-5.10.1-141.el6.x86_64
--> Processing Dependency: libperl.so()(64bit) for package: 4:perl-5.10.1-141.el6.x86_64
---> Package perl-DBD-MySQL.x86_64 0:4.013-3.el6 will be installed
--> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16)(64bit) for package: perl-DBD-MySQL-4.013-3.el6.x86_64
--> Processing Dependency: libmysqlclient.so.16()(64bit) for package: perl-DBD-MySQL-4.013-3.el6.x86_64
---> Package perl-DBI.x86_64 0:1.609-4.el6 will be installed
---> Package socat.x86_64 0:1.7.2.3-1.el6 will be installed
--> Processing Dependency: libreadline.so.5()(64bit) for package: socat-1.7.2.3-1.el6.x86_64
--> Running transaction check
---> Package Percona-Server-shared-51.x86_64 0:5.1.73-rel14.12.625.rhel6 will be installed
---> Package compat-readline5.x86_64 0:5.2-17.1.el6 will be installed
---> Package perl-Module-Pluggable.x86_64 1:3.90-141.el6 will be installed
---> Package perl-Pod-Simple.x86_64 1:3.13-141.el6 will be installed
--> Processing Dependency: perl(Pod::Escapes) >= 1.04 for package: 1:perl-Pod-Simple-3.13-141.el6.x86_64
---> Package perl-Time-HiRes.x86_64 4:1.9721-141.el6 will be installed
---> Package perl-libs.x86_64 4:5.10.1-141.el6 will be installed
---> Package perl-version.x86_64 3:0.77-141.el6 will be installed
--> Running transaction check
---> Package perl-Pod-Escapes.x86_64 1:1.04-141.el6 will be installed
--> Processing Conflict: Percona-Server-shared-51-5.1.73-rel14.12.625.rhel6.x86_64 conflicts mysql-libs
--> Finished Dependency Resolution
Error: Percona-Server-shared-51 conflicts with 1:Percona-XtraDB-Cluster-shared-56-5.6.25-25.12.1.el6.x86_64
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

It was working with previous version 5.6.24-25.11.1 but now if I try yum install Percona-XtraDB-Cluster-56-5.6.24-25.11.1.el6 it still tries to install packages from 5.6.25-25.12.1
Also tried on CentOS 6.7 with the same result.
Am I doing something wrong ?

Comments

  • alexandrusalexandrus Entrant Current User Role Beginner
    If I first install previous version of Percona-Server-shared:
    yum install Percona-Server-shared-51-5.1.73-rel14.12.624.rhel6

    and after run:

    yum install Percona-XtraDB-Cluster-56

    it works.

    Probably the dependencies need to be fixed in the package
Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.